/*
 * Copyright 2014 MOPAS(Ministry of Public Administration and Security).
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kcg.faics.arrest.vo;

import kcg.faics.cmmn.bbs.BaseSearchVO;


/** 
 * ArrestSearchVO.java
 * @author 이영호 
 * @since 2017. 3. 15.
 *
 *  	 수정일                     수정자                                       수정내용
 *  -------------	--------	---------------------------
 *  2017. 3. 15. 	이영호				       최초생성
 * 
 */
public class ArrestSearchVO extends BaseSearchVO {

	/**
	 * 시작일자
	 */
	private String startDate = "";
	/**
	 * 종료일자
	 */
	private String endDate = "";
	/**
	 * 검거기관(대분류)
	 */
	private String agencyType = "";
	/**
	 * 검거기관
	 */
	private String agencyGuard = "";
	/**
	 * 검거기관(함정)
	 */
	private String agencyVessel = "";
	/**
	 * 선종
	 */
	private String addrArea = "";
	/**
	 * 선종
	 */
	private String addrCity = "";
	/**
	 * 선종
	 */
	private String violateType = "";
	/**
	 * 선종
	 */
	private String shipName = "";
	
	/**
	 * 기간 처음 invasionType
	 */
	private String[] invasionType = null;
	
	/**
	 * 선종
	 */
	private String[] shipType = null;
	/**
	 * 처리현황
	 */
	private String[] procCondition = null;
	/**
	 * 톤수
	 */
	private String[] arrShipTonnage = null;	
	
	/**
	 * 담보금 납부
	 */
	private String[] marginPayment = null;
	/**
	 * 선박처리구분
	 */
	private String[] shipProcType = null;
	/**
	 * 선질
	 */
	private String[] shipQuality = null;
	/**
	 * 선적
	 */
	private String[] shipMent = null;
	/**
	 * NLL여부
	 */
	private String[] nllYn = null;
	/**
	 * 특수공무집행방해여부(특공방)
	 */
	private String[] specBatlYn = null;
	
	/**
	 * @return the agencyType
	 */
	public String getAgencyType() {
		return agencyType;
	}
	/**
	 * @param agencyType the agencyType to set
	 */
	public void setAgencyType(String agencyType) {
		this.agencyType = agencyType;
	}
	/**
	 * @return the agencyGuard
	 */
	public String getAgencyGuard() {
		return agencyGuard;
	}
	/**
	 * @param agencyGuard the agencyGuard to set
	 */
	public void setAgencyGuard(String agencyGuard) {
		this.agencyGuard = agencyGuard;
	}
	/**
	 * @return the agencyVessel
	 */
	public String getAgencyVessel() {
		return agencyVessel;
	}
	/**
	 * @param agencyVessel the agencyVessel to set
	 */
	public void setAgencyVessel(String agencyVessel) {
		this.agencyVessel = agencyVessel;
	}
	/**
	 * @return the nllYn
	 */
	public String[] getNllYn() {
		return nllYn;
	}
	/**
	 * @param nllYn the nllYn to set
	 */
	public void setNllYn(String[] nllYn) {
		this.nllYn = nllYn;
	}
	/**
	 * @return the specBatlYn
	 */
	public String[] getSpecBatlYn() {
		return specBatlYn;
	}
	/**
	 * @param specBatlYn the specBatlYn to set
	 */
	public void setSpecBatlYn(String[] specBatlYn) {
		this.specBatlYn = specBatlYn;
	}
	/**
	 * @return the shipProcType
	 */
	public String[] getShipProcType() {
		return shipProcType;
	}
	/**
	 * @param shipProcType the shipProcType to set
	 */
	public void setShipProcType(String[] shipProcType) {
		this.shipProcType = shipProcType;
	}
	/**
	 * @return the shipQuality
	 */
	public String[] getShipQuality() {
		return shipQuality;
	}
	/**
	 * @param shipQuality the shipQuality to set
	 */
	public void setShipQuality(String[] shipQuality) {
		this.shipQuality = shipQuality;
	}
	/**
	 * @return the shipMent
	 */
	public String[] getShipMent() {
		return shipMent;
	}
	/**
	 * @param shipMent the shipMent to set
	 */
	public void setShipMent(String[] shipMent) {
		this.shipMent = shipMent;
	}
	/**
	 * @return the startDate
	 */
	public String getStartDate() {
		return startDate;
	}
	/**
	 * @param startDate the startDate to set
	 */
	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}
	/**
	 * @return the endDate
	 */
	public String getEndDate() {
		return endDate;
	}
	/**
	 * @param endDate the endDate to set
	 */
	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}
	/**
	 * @return the addrArea
	 */
	public String getAddrArea() {
		return addrArea;
	}
	/**
	 * @param addrArea the addrArea to set
	 */
	public void setAddrArea(String addrArea) {
		this.addrArea = addrArea;
	}
	/**
	 * @return the addrCity
	 */
	public String getAddrCity() {
		return addrCity;
	}
	/**
	 * @param addrCity the addrCity to set
	 */
	public void setAddrCity(String addrCity) {
		this.addrCity = addrCity;
	}
	/**
	 * @return the violateType
	 */
	public String getViolateType() {
		return violateType;
	}
	/**
	 * @param violateType the violateType to set
	 */
	public void setViolateType(String violateType) {
		this.violateType = violateType;
	}
	/**
	 * @return the invasionType
	 */
	public String getShipName() {
		return shipName;
	}
	/**
	 * @param shipName the shipName to set
	 */
	public void setShipName(String shipName) {
		this.shipName = shipName;
	}
	/**
	 * @return the invasionType
	 */
	public String[] getInvasionType() {
		return invasionType;
	}
	/**
	 * @param invasionType the invasionType to set
	 */
	public void setInvasionType(String[] invasionType) {
		this.invasionType = invasionType;
	}
	/**
	 * @return the shipType
	 */
	public String[] getShipType() {
		return shipType;
	}
	/**
	 * @param shipType the shipType to set
	 */
	public void setShipType(String[] shipType) {
		this.shipType = shipType;
	}
	/**
	 * @return the procCondition
	 */
	public String[] getProcCondition() {
		return procCondition;
	}
	/**
	 * @param procCondition the procCondition to set
	 */
	public void setProcCondition(String[] procCondition) {
		this.procCondition = procCondition;
	}
	/**
	 * @return the arrShipTonnage
	 */
	public String[] getArrShipTonnage() {
		return arrShipTonnage;
	}
	/**
	 * @param arrShipTonnage the arrShipTonnage to set
	 */
	public void setArrShipTonnage(String[] arrShipTonnage) {
		this.arrShipTonnage = arrShipTonnage;
	}
	/**
	 * @return the marginPayment
	 */
	public String[] getMarginPayment() {
		return marginPayment;
	}
	/**
	 * @param marginPayment the marginPayment to set
	 */
	public void setMarginPayment(String[] marginPayment) {
		this.marginPayment = marginPayment;
	}
	/**
	 * @return the obj.length
	 */
	public static int length(String[] obj){
		return obj.length;
	}
	
}
 